Bug 143839 - remove www/cheetah: broken and development stopped in 2001
Summary: remove www/cheetah: broken and development stopped in 2001
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-12 13:00 UTC by R.Mahmatkhanov
Modified: 2010-03-16 02:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2010-02-12 13:00:11 UTC
Hello!

www/cheetah builds and install ok, but runtime is completely broken. 
When i start cheetah, and put "www.freebsd.org" in Location field, then press Enter, 
it is try do something in couple of minutes, then window is closed. I see this on console after the crash:

[mrk@smeshariki2 ~]> cheetah
Gdk-ERROR **: BadLength (poly request too large or internal Xlib length erro
  serial 18643 error_code 16 request_code 13 minor_code 0
Gdk-ERROR **: BadLength (poly request too large or internal Xlib length erro
  serial 18644 error_code 16 request_code 148 minor_code 0
[mrk@smeshariki2 ~]> 

All the menus in browser is not working too. 
Because of this and because of ugliness and useless of this port, i believe it should be marked as broken and then removed. Moreover, it installs its files into the same location as devel/py-cheetah, and in both Makefiles "conflicts" line are set.
Comment 1 Philip M. Gollucci freebsd_committer 2010-02-12 19:32:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-02-13 06:49:05 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

I'll too slow.
Comment 3 Dmitry Marakasov freebsd_committer 2010-02-14 02:24:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2010-02-14 02:38:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-02-14 02:38:50 UTC
amdmi3      2010-02-14 02:38:36 UTC

  FreeBSD ports repository

  Modified files:
    www/cheetah          Makefile 
  Log:
  - Mark BROKEN, DEPRECATED and schedule for removal in 1 month: the port is unuseable as it crashes on loading any webpage, has no maintainer and had no releases since 2001
  
  PR:             143839
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.18      +6 -0      ports/www/cheetah/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-03-16 02:44:30 UTC
amdmi3      2010-03-16 02:44:22 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    www                  Makefile 
    devel/py-cheetah     Makefile 
  Removed files:
    www/cheetah          Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Remove www/cheetah. It is broken, unmaintained and not developed since 2001.
  
  PR:             143839
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.2104    +2 -1      ports/MOVED
  1.19      +0 -2      ports/devel/py-cheetah/Makefile
  1.2564    +0 -1      ports/www/Makefile
  1.19      +0 -39     ports/www/cheetah/Makefile (dead)
  1.5       +0 -3      ports/www/cheetah/distinfo (dead)
  1.3       +0 -3      ports/www/cheetah/pkg-descr (dead)
  1.2       +0 -3      ports/www/cheetah/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"